
struct ClassifierProgress {

    let bytesLoaded: Double

    let total: Double

    var percentage: Double {
        guard total > 0 else {
            return 0.0
        }
        return bytesLoaded * 100 / total
    }

    init(bytesLoaded: Double = 0, total: Double = 0) {
        self.bytesLoaded = bytesLoaded
        self.total = total
    }
}
