import SwiftUI

struct CachedImageCountView: View {
    
    @ObservedObject
    var cache: ImageCache
    
    var body: some View {
        SettingsStatisticRow(label: "Downloaded images", value: "\(cache.imageCount)")
    }
}

#Preview {
    CachedImageCountView(cache: Database.mock.images)
}
